package jalview.ext.treeviewer;

import jalview.datamodel.SequenceI;

import java.util.Map;

/**
 * Interface for associating the leaves of a loaded in (not calculated) tree to
 * the alignment sequences in Jalview.
 * 
 * @author kjvanderheide
 *
 * 
 */
public interface LoadedTreeAssociationI
{
  public void associateLeavesToSequences();

  public Map<SequenceI, TreeNodeI> getAlignmentWithNodes();

  public Map<TreeNodeI, SequenceI> getNodesWithAlignment();
}
