package jalview.ext.treeviewer;

import jalview.datamodel.SequenceI;

import java.awt.Color;
import java.util.List;

public interface TreeNodeI
{

  public String getNodeName();

  public List<TreeNodeI> getAllDescendants();

  public List<TreeNodeI> getExternalDescendants();

  public List<TreeNodeI> getDirectChildren();

  public void setSequence(SequenceI seq);

  public SequenceI getSequence();

  public void addAsChild(TreeNodeI childNode);

  public long getId();

  public float getXcoord();

  public float getYcoord();

  public void setBranchColor(Color branchColor);

  public boolean isInternal();

}
